Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class RequestHeader_1_2

    java.lang.Object
      |
      +--org.omg.GIOP.RequestHeader_1_2

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class RequestHeader_1_2
extends java.lang.Object
implements IDLEntity

Struct definition : RequestHeader_1_2

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `operation` Struct member operation
`int` | `request_id` Struct member request_id
`byte[]` | `reserved` Struct member reserved
`byte` | `response_flags` Struct member response_flags
`ServiceContext[]` | `service_context` Struct member service_context
`TargetAddress` | `target` Struct member target

Constructor Summary
`RequestHeader_1_2()` Default constructor
`RequestHeader_1_2(int request_id, byte response_flags, byte[] reserved, TargetAddress target, java.lang.String operation, ServiceContext[] service_context)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

### response_flags

    public byte response_flags

  Struct member response_flags

### reserved

    public byte[] reserved

  Struct member reserved

### target

    public TargetAddress target

  Struct member target

### operation

    public java.lang.String operation

  Struct member operation

### service_context

    public ServiceContext[] service_context

  Struct member service_context

Constructor Detail

### RequestHeader_1_2

    public RequestHeader_1_2()

  Default constructor

### RequestHeader_1_2

    public RequestHeader_1_2(int request_id,
                             byte response_flags,
                             byte[] reserved,
                             TargetAddress target,
                             java.lang.String operation,
                             ServiceContext[] service_context)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member
    `response_flags` - response_flags struct member
    `reserved` - reserved struct member
    `target` - target struct member
    `operation` - operation struct member
    `service_context` - service_context struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD